QuattroParserInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
QuattroParserInternal::State Struct Reference

the state of QuattroParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id
void | initZoneNameMap ()
| init the zone name map

## Static Public Member Functions
static WPSFont | getDefaultFont ()
| returns a default font (Courier12) with file's version to define the default encoding *‍/

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| the user font type
int | m_version
| the file version
librevenge::RVNGPropertyList | m_metaData
| the meta data
int | m_actualSheet
| the actual sheet
std::vector< Font > | m_fontsList
| the font list
std::vector< WPSColor > | m_colorsList
| the color list
std::map< int, librevenge::RVNGString > | m_idToExternalFileMap
| map id to filename
std::map< int, librevenge::RVNGString > | m_idToExternalNameMap
| map id to external name
std::map< int, std::pair< librevenge::RVNGString, QuattroFormulaInternal::CellReference > > | m_idToFieldMap
| map id to field
WPSPageSpan | m_pageSpan
| the actual document size
int | m_actPage
| the actual page
int | m_numPages
librevenge::RVNGString | m_headerString
| the header string
librevenge::RVNGString | m_footerString
| the footer string
char const * | m_password
| the password (if known)
bool | m_isEncrypted
| true if the file is encrypted
bool | m_isDecoded
| true if the main stream has been decoded
std::map< int, ZoneName > | m_idToZoneNameMap
| map zone id to zone name
bool | m_readingZone341
| true if zone 341 is being read. Avoids recursion.

## Private Member Functions
| State (State const &)=delete
State & | operator= (State const &)=delete

## Detailed Description

the state of QuattroParser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

QuattroParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password )
| inlineexplicit

constructor

Referenced by getColor(), operator=(), and State().

## ◆ State() [2/2]

QuattroParserInternal::State::State | ( | State const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getColor()

bool QuattroParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color ) const

returns a color corresponding to an id

## ◆ getDefaultFont()

static WPSFont QuattroParserInternal::State::getDefaultFont | ( |  | ) |
| inlinestatic

returns a default font (Courier12) with file's version to define the default encoding *‍/

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type QuattroParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ initZoneNameMap()

void QuattroParserInternal::State::initZoneNameMap | ( |  | ) |

init the zone name map

## ◆ operator=()

State & QuattroParserInternal::State::operator= | ( | State const & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_actPage

int QuattroParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_actualSheet

int QuattroParserInternal::State::m_actualSheet

the actual sheet

Referenced by State().

## ◆ m_colorsList

std::vector<WPSColor> QuattroParserInternal::State::m_colorsList

the color list

Referenced by getColor(), and State().

## ◆ m_fontsList

std::vector<Font> QuattroParserInternal::State::m_fontsList

the font list

Referenced by State().

## ◆ m_fontType

libwps_tools_win::Font::Type QuattroParserInternal::State::m_fontType

the user font type

Referenced by getDefaultFontType(), and State().

## ◆ m_footerString

librevenge::RVNGString QuattroParserInternal::State::m_footerString

the footer string

Referenced by State().

## ◆ m_headerString

librevenge::RVNGString QuattroParserInternal::State::m_headerString

the header string

Referenced by State().

## ◆ m_idToExternalFileMap

std::map<int, librevenge::RVNGString> QuattroParserInternal::State::m_idToExternalFileMap

map id to filename

Referenced by State().

## ◆ m_idToExternalNameMap

std::map<int, librevenge::RVNGString> QuattroParserInternal::State::m_idToExternalNameMap

map id to external name

Referenced by State().

## ◆ m_idToFieldMap

std::map<int, std::pair<librevenge::RVNGString,QuattroFormulaInternal::CellReference> > QuattroParserInternal::State::m_idToFieldMap

map id to field

Referenced by State().

## ◆ m_idToZoneNameMap

std::map<int, ZoneName> QuattroParserInternal::State::m_idToZoneNameMap

map zone id to zone name

Referenced by initZoneNameMap(), and State().

## ◆ m_isDecoded

bool QuattroParserInternal::State::m_isDecoded

true if the main stream has been decoded

Referenced by State().

## ◆ m_isEncrypted

bool QuattroParserInternal::State::m_isEncrypted

true if the file is encrypted

Referenced by State().

## ◆ m_metaData

librevenge::RVNGPropertyList QuattroParserInternal::State::m_metaData

the meta data

Referenced by State().

## ◆ m_numPages

int QuattroParserInternal::State::m_numPages

Referenced by State().

## ◆ m_pageSpan

WPSPageSpan QuattroParserInternal::State::m_pageSpan

the actual document size

Referenced by State().

## ◆ m_password

char const* QuattroParserInternal::State::m_password

the password (if known)

Referenced by State().

## ◆ m_readingZone341

bool QuattroParserInternal::State::m_readingZone341

true if zone 341 is being read. Avoids recursion.

Referenced by State().

## ◆ m_version

int QuattroParserInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- Quattro.cpp